summaryrefslogtreecommitdiffstats
path: root/source/l/libidn/libidn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libidn/libidn.SlackBuild')
-rwxr-xr-xsource/l/libidn/libidn.SlackBuild32
1 files changed, 27 insertions, 5 deletions
diff --git a/source/l/libidn/libidn.SlackBuild b/source/l/libidn/libidn.SlackBuild
index 570a3e098..e272f2602 100755
--- a/source/l/libidn/libidn.SlackBuild
+++ b/source/l/libidn/libidn.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,11 +21,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.5
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+PKGNAM=libidn
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -35,6 +46,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -45,7 +59,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf libidn-$VERSION
-tar xvf $CWD/libidn-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/libidn-$VERSION.tar.?z* || exit 1
cd libidn-$VERSION
chown -R root:root .
find . \
@@ -98,6 +112,14 @@ cp -a \
libidn/libidn.html \
$PKG/usr/doc/libidn-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc